Skip to main content
DELETE
Delete Owner Checkpoints Endpoint

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

team_id
string | null

Delete this team's checkpoints instead of the caller's

sandbox_id
string | null

Only this sandbox's

user_id
string | null

Only checkpoints this user created (default: the caller); another user needs team_id and team admin

all_users
boolean
default:false

Every team member's checkpoints; needs team_id and team admin

labels
string[] | null

Only checkpoints of sandboxes with ALL these labels

state
enum<string>[] | null

Only these states (default both)

Available options:
DURABLE,
FAILED
created_before
string<date-time> | null

Only checkpoints created before this time

limit
integer
default:100
Required range: 1 <= x <= 200
cursor
string | null

next_cursor of the last call

Response

Successful Response

deleted
string[]
required
errors
CheckpointDeleteError · object[]
required
next_cursor
string | null